import { Controller, Get, HttpCode, Logger, Param, Render } from '@nestjs/common';

@Controller()
export class AppController {
    // Constructor(){}

    @Get()
    @Render('index.hbs')
    getIndex(): object {
        return { message: 'Hello world!' };
    }

    @Get(':room')
    @Render('room.hbs')
    getRoom(@Param('room') roomId: string): object {
        Logger.log('Client joined room: ' + roomId, 'AppController');
        return { roomId };
    }

    @Get('favicon.ico')
    @HttpCode(404)
    getFavicon(): void {
        // for now do nothing
    }

}